Subject: Re: bug#73875: cp: there isn't even an option to quit on errors

From: Dan Jacobson <[email-masked]>
Date: Sun, 20 Oct 2024 22:21:53 +0800

Well OK, it is creating an unusable copy, and probably doesn't
even return an error to the calling shell.

So Makefiles using it will go on to the next step... with the final
result being missing files, discovered just minutes away from the boss's
big ceremony...

>>>>> "PB" == Pádraig Brady <[email-masked]> writes:
PB> Well POSIX states that cp should continue upon failure to create a symlink.
PB> An exit early option may be useful.
PB> I don't see such an option with rsync either though, so I'm not sure how generally useful it is.

OK, I'll tell them to add it to rsync too.